# Asterisk Project : Asterisk 12 ManagerAction_UpdateConfig

Added by wikibot , edited by wikibot on Aug 29, 2013

# UpdateConfig

### Synopsis

Update basic configuration.

### Description

This action will modify, create, or delete configuration elements in Asterisk configuration files.

### Syntax

    Action: UpdateConfig
    ActionID: <value>
    SrcFilename: <value>
    DstFilename: <value>
    Reload: <value>
    Action-XXXXXX: <value>
    Cat-XXXXXX: <value>
    Var-XXXXXX: <value>
    Value-XXXXXX: <value>
    Match-XXXXXX: <value>
    Line-XXXXXX: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `SrcFilename` - Configuration filename to read (e.g. `foo.conf`).
- `DstFilename` - Configuration filename to write (e.g. `foo.conf`)
- `Reload` - Whether or not a reload should take place (or name of specific module).
- `Action-XXXXXX` - Action to take.
  X's represent 6 digit number beginning with 000000.
  - `NewCat`
  - `RenameCat`
  - `DelCat`
  - `EmptyCat`
  - `Update`
  - `Delete`
  - `Append`
  - `Insert`
- `Cat-XXXXXX` - Category to operate on.
  X's represent 6 digit number beginning with 000000.
- `Var-XXXXXX` - Variable to work on.
  X's represent 6 digit number beginning with 000000.
- `Value-XXXXXX` - Value to work on.
  X's represent 6 digit number beginning with 000000.
- `Match-XXXXXX` - Extra match required to match line.
  X's represent 6 digit number beginning with 000000.
- `Line-XXXXXX` - Line in category to operate on (used with delete and insert actions).
  X's represent 6 digit number beginning with 000000.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown